Bug 1871085 - It creates two pods when you create a deployment from container image
Summary: It creates two pods when you create a deployment from container image
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Christoph Jerolimov
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-21 09:57 UTC by Christoph Jerolimov
Modified: 2020-09-08 11:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6138 None closed Bug 1871085: Wait for the first ImageStream update before creating the Deployment 2020-09-08 11:02:30 UTC

Description Christoph Jerolimov 2020-08-21 09:57:51 UTC
Description of problem:
It creates two different ReplicaSets, the second one was created because the ImageStream was changed. The dev console UI should wait for the first ImageStream update before creating the Deployment.

Version-Release number of selected component (if applicable):
Build: 4.4.0-0.ci-2020-02-26-022458

How reproducible:
Always

Steps to Reproduce:
1. Go to +Add -> Container Image
2. Enter 'openshift/hello-openshift' in the Image name from external registry field
3. Click on the create button
4. Wait until node appears on the topology and immediately hover over the node and you will observe that the status is '1 Pending and 1 running' or '2 pending'. The status depends on the time you take to hover over the node.
5. Let the deployment finishes and now go to sidebar by clicking on the node and you will observe that there is only one pod running.

Actual results:
It creates two ReplicaSets and two Pods.

Expected results:
Just one ReplicaSet and Pod should be created.

Additional info:

Comment 1 Christoph Jerolimov 2020-08-21 09:58:47 UTC
Jira issue: https://issues.redhat.com/browse/ODC-3175
PR: https://github.com/openshift/console/pull/6138

Comment 5 Gajanan More 2020-09-08 11:03:10 UTC
I have validated the bugzilla on:

Build Version: 4.6.0-0.nightly-2020-09-07-224533

Browser: Google Chrome Version 84.0.4147.89

Marking this as verified. 

I don't see the status of '1 Pending and 1 running' or '2 pending' when I hover over the node immediately when I created the deployment.


Note You need to log in before you can comment on or make changes to this bug.